/*
 * jET - An alternative scenery editor for the electic locomotive simulator, MaSzyna
 * Copyright (C) 2003  Adam Domaski
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package org.jet;

import javax.swing.DefaultListCellRenderer;
import java.text.Format;
import java.awt.Component;
import javax.swing.JList;

import prv.doman.util.ScaleFormat;

/**
 * Combo box renderer for zoom combo box.
 *
 * @author Adam Domaski
 * @version 0.1 18/08/2003
 */
public class ZoomComboBoxRenderer extends DefaultListCellRenderer
{
	/**
	 * Creates new renderer for zoom combo box.
	 */
	public ZoomComboBoxRenderer()
	{
		formatter = new ScaleFormat();
	}

	public Component getListCellRendererComponent(
		JList list, Object value, int index, boolean isSelected,
		boolean hasFocus)
	{
		super.getListCellRendererComponent(list, value, index, isSelected, hasFocus);
		setText( formatter.format(value) );
		return this;
	}

	/** Formatter. */
	private Format formatter;
}
