/*
 * jET - An alternative scenery editor for the electic locomotive simulator, MaSzyna
 * Copyright (C) 2003  Adam Domaski
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package org.jet.sce;

import java.util.EventListener;

/**
 * An event listener for scenery.
 * Listener is notified when scenery changes occur.
 *
 * @author Adam Domaski
 * @version 0.1 1/08/2003
 */
public interface SceneryChangeListener extends EventListener
{
	/**
	 * Some changes in scenery have occured.
	 * 
	 * @param sce Scenery event.
	 */
	public void sceneryChanged(SceneryEvent sce);
}
