/*
 * jET - An alternative scenery editor for the electic locomotive simulator, MaSzyna
 * Copyright (C) 2003 2004  Adam Domaski
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package org.jet.tracks;

import javax.xml.parsers.SAXParser;
import javax.xml.parsers.SAXParserFactory;
import org.xml.sax.*;
import org.xml.sax.helpers.DefaultHandler;

/**
 * Loads track palette from XML file.
 *
 * @author Adam Domaski
 * @version 0.1 26/02/2004
 */
public class ScriptLoader
{
	private static ScriptLoader anInstance = null;

	/**
	 * XML file location.
	 */
	public static final String FILENAME = "scripts/tracks.xml";

	private ScriptLoader()
	{
	}

	/**
	 * Returns instance of this class.
	 */
	public static ScriptLoader getInstance()
	{
		if (anInstance == null)
			anInstance = new ScriptLoader();

		return anInstance;
	}

	/**
	 * Loads tracks from XML file.
	 */
	public void load()
	{
		SAXParserFactory factory = SAXParserFactory.newInstance();
		try
		{
			SAXParser parser = factory.newSAXParser();
			parser.parse(FILENAME, new Loader());
		}
		catch (Throwable th) {}
	}

	/**
	 * XML content handler.
	 */
	public class Loader extends DefaultHandler
	{
		public void startElement(String uri, String lName, String qName, Attributes attrs)
			throws SAXException
		{
			//System.out.println("<" + qName + ">");
		}

		public void endElement(String uri, String lName, String qName)
			throws SAXException
		{
			//System.out.println("</" + qName + ">");
		}

		public void characters(char[] ch, int start, int len)
			throws SAXException
		{
			//System.out.println(new String(ch, start, len));
		}
	}
}
